---
layout: home
---

Extraterm is more than just a terminal emulator. It provides a toolbox for working with your terminal and command line applications.

![Directly edit and execute command output](edit_direct.gif)

## Features

* Supports Linux, macOS and Cygwin on Windows
* xterm compatible
* Multiple tabs and panes, split and tiled any way you like
* Keyboard based selection
* Show images in the terminal
* Shell integration; can isolate and 'frame' command output. (bash, zsh and fish supported)
* Previous command output can be used as input for new commands
* Command output is editable in place. Multi-cursor editing
* Keyboard friendly "command palette" for searching menus
* Text zoom
* Unicode support
* Color emoji
* Open source [MIT license](https://github.com/sedwards2009/extraterm/blob/master/LICENSE.txt)
* [...much more to come](https://github.com/sedwards2009/extraterm/issues/30)

## News
{% include news_list_short.ext %}
[More news](news.html)

Follow [{% include twitter_logo.ext %}@ExtratermDev](https://twitter.com/ExtratermDev) or via {% include rss_feed_logo.ext %} <a rel="alternate" type="application/rss+xml" href="feed.xml">RSS feed</a> to receive news updates as they happen.


## Development and Contributing

Extraterm is an Open Source project developed in the open at [GitHub https://github.com/sedwards2009/extraterm](https://github.com/sedwards2009/extraterm). The primary developer is [Simon Edwards](mailto:simon@simonzone.com). Bugs, issues and wishes can be submitted via the [GitHub issues](https://github.com/sedwards2009/extraterm/issues). The [Development Roadmap](https://github.com/sedwards2009/extraterm/issues/30) is tracked in this [issue on GitHub](https://github.com/sedwards2009/extraterm/issues/30).

Extraterm logos were designed and provided by [Gabriel Harel](https://github.com/g-harel).
