"use strict";
/*
 * Copyright 2017 Simon Edwards <simon@simonzone.com>
 *
 * This source code is licensed under the MIT license which is detailed in the LICENSE.txt file.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const ScriptBuilders_1 = require("./ScriptBuilders");
function testContext(test) {
    const flattener = new ScriptBuilders_1.PythonFileFlattener(path.join(__dirname, 'test_data'));
    const result = flattener.readAndInlineCommand('command');
    test.ok(result.length !== 0, 'Test for anything');
    const lines = result.split('\n');
    test.equal(lines.filter(line => line.indexOf('import os') !== -1).length, 1);
    test.equal(lines.filter(line => line.indexOf('from library import *') !== -1).length, 0);
    test.equal(lines.filter(line => line.indexOf('Library run') !== -1).length, 1);
    test.equal(lines.filter(line => line.indexOf('Main run') !== -1).length, 1);
    test.done();
}
exports.testContext = testContext;
//# sourceMappingURL=InjectShellIntegrationExtensionTest.js.map