"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
function activate(context) {
    context.workspace.registerCommandsOnTextViewer(textViewerCommandLister, textViewerCommandExecutor);
}
exports.activate = activate;
const COMMAND_SET_TAB_WIDTH = "setTabWidth";
function textViewerCommandLister(textViewer) {
    return [{
            id: COMMAND_SET_TAB_WIDTH,
            label: "Tab Size: " + textViewer.getTabSize()
        }];
}
function textViewerCommandExecutor(textViewer, commandId, commandArguments) {
    return __awaiter(this, void 0, void 0, function* () {
        const selectedTabSize = yield textViewer.getTab().showNumberInput({
            title: "Tab Size",
            value: textViewer.getTabSize(),
            minimum: 0,
            maximum: 32
        });
        if (selectedTabSize !== undefined) {
            textViewer.setTabSize(selectedTabSize);
        }
    });
}
//# sourceMappingURL=TextViewerTabWidthExtension.js.map