"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RefreshLevel;
(function (RefreshLevel) {
    RefreshLevel[RefreshLevel["RESIZE"] = 1] = "RESIZE";
    RefreshLevel[RefreshLevel["COMPLETE"] = 2] = "COMPLETE";
})(RefreshLevel = exports.RefreshLevel || (exports.RefreshLevel = {}));
;
/**
 * A base class for HTMLElements which also want to hear about possible resizes and refreshes.
 */
class ResizeRefreshElementBase extends HTMLElement {
    static refreshChildNodes(node, level) {
        const kids = node.childNodes;
        for (let i = 0; i < kids.length; i++) {
            const kid = kids[i];
            if (ResizeRefreshElementBase.is(kid)) {
                kid.refresh(level);
            }
            else {
                ResizeRefreshElementBase.refreshChildNodes(kid, level);
            }
        }
    }
    static is(node) {
        return node !== null && node !== undefined && node instanceof ResizeRefreshElementBase;
    }
    refresh(level) {
        ResizeRefreshElementBase.refreshChildNodes(this, level);
    }
}
exports.ResizeRefreshElementBase = ResizeRefreshElementBase;
//# sourceMappingURL=ResizeRefreshElementBase.js.map