"use strict";
/*
 * Copyright 2014-2016 Simon Edwards <simon@simonzone.com>
 *
 * This source code is licensed under the MIT license which is detailed in the LICENSE.txt file.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var CssFile;
(function (CssFile) {
    CssFile[CssFile["GUI_CONTROLS"] = 0] = "GUI_CONTROLS";
    CssFile[CssFile["TOP_WINDOW"] = 1] = "TOP_WINDOW";
    CssFile[CssFile["MAIN_UI"] = 2] = "MAIN_UI";
    CssFile[CssFile["TERMINAL"] = 3] = "TERMINAL";
    CssFile[CssFile["IMAGE_VIEWER"] = 4] = "IMAGE_VIEWER";
    CssFile[CssFile["TERMINAL_VIEWER"] = 5] = "TERMINAL_VIEWER";
    CssFile[CssFile["TEXT_VIEWER"] = 6] = "TEXT_VIEWER";
    CssFile[CssFile["EMBEDDED_FRAME"] = 7] = "EMBEDDED_FRAME";
    CssFile[CssFile["ABOUT_TAB"] = 8] = "ABOUT_TAB";
    CssFile[CssFile["SETTINGS_TAB"] = 9] = "SETTINGS_TAB";
    CssFile[CssFile["GUI_MENUITEM"] = 10] = "GUI_MENUITEM";
    CssFile[CssFile["GUI_CONTEXTMENU"] = 11] = "GUI_CONTEXTMENU";
    CssFile[CssFile["GUI_TABWIDGET"] = 12] = "GUI_TABWIDGET";
    CssFile[CssFile["GUI_STACKEDWIDGET"] = 13] = "GUI_STACKEDWIDGET";
    CssFile[CssFile["GUI_SCROLLBAR"] = 14] = "GUI_SCROLLBAR";
    CssFile[CssFile["KEY_BINDINGS_TAB"] = 15] = "KEY_BINDINGS_TAB";
    CssFile[CssFile["GUI_COMMANDPALETTE"] = 16] = "GUI_COMMANDPALETTE";
    CssFile[CssFile["GUI_POP_DOWN_DIALOG"] = 17] = "GUI_POP_DOWN_DIALOG";
    CssFile[CssFile["GUI_POP_DOWN_LIST_PICKER"] = 18] = "GUI_POP_DOWN_LIST_PICKER";
    CssFile[CssFile["GUI_LIST_PICKER"] = 19] = "GUI_LIST_PICKER";
    CssFile[CssFile["TIP_VIEWER"] = 20] = "TIP_VIEWER";
    CssFile[CssFile["FONT_AWESOME"] = 21] = "FONT_AWESOME";
    CssFile[CssFile["TERMINAL_VARS"] = 22] = "TERMINAL_VARS";
    CssFile[CssFile["VIEWER_TAB"] = 23] = "VIEWER_TAB";
    CssFile[CssFile["GUI_SPLITTER"] = 24] = "GUI_SPLITTER";
    CssFile[CssFile["EMPTY_PANE_MENU"] = 25] = "EMPTY_PANE_MENU";
    CssFile[CssFile["GUI_SNAP_DROP_CONTAINER"] = 26] = "GUI_SNAP_DROP_CONTAINER";
    CssFile[CssFile["THEME_VARS"] = 27] = "THEME_VARS";
})(CssFile = exports.CssFile || (exports.CssFile = {}));
exports.cssFileEnumItems = [
    CssFile.GUI_CONTROLS,
    CssFile.TOP_WINDOW,
    CssFile.MAIN_UI,
    CssFile.TERMINAL,
    CssFile.IMAGE_VIEWER,
    CssFile.TERMINAL_VIEWER,
    CssFile.TEXT_VIEWER,
    CssFile.EMBEDDED_FRAME,
    CssFile.ABOUT_TAB,
    CssFile.SETTINGS_TAB,
    CssFile.GUI_MENUITEM,
    CssFile.GUI_CONTEXTMENU,
    CssFile.GUI_TABWIDGET,
    CssFile.GUI_STACKEDWIDGET,
    CssFile.GUI_SCROLLBAR,
    CssFile.KEY_BINDINGS_TAB,
    CssFile.GUI_COMMANDPALETTE,
    CssFile.GUI_POP_DOWN_DIALOG,
    CssFile.GUI_POP_DOWN_LIST_PICKER,
    CssFile.GUI_LIST_PICKER,
    CssFile.TIP_VIEWER,
    CssFile.FONT_AWESOME,
    CssFile.TERMINAL_VARS,
    CssFile.VIEWER_TAB,
    CssFile.GUI_SPLITTER,
    CssFile.EMPTY_PANE_MENU,
    CssFile.GUI_SNAP_DROP_CONTAINER,
    CssFile.THEME_VARS
];
const _CssFileNameMapping = {
    [CssFile.GUI_CONTROLS]: "gui-controls",
    [CssFile.TOP_WINDOW]: "top-window",
    [CssFile.MAIN_UI]: "main-ui",
    [CssFile.TERMINAL]: "terminal",
    [CssFile.IMAGE_VIEWER]: "image-viewer",
    [CssFile.TERMINAL_VIEWER]: "terminal-viewer",
    [CssFile.TEXT_VIEWER]: "text-viewer",
    [CssFile.EMBEDDED_FRAME]: "embedded-frame",
    [CssFile.ABOUT_TAB]: "about-tab",
    [CssFile.SETTINGS_TAB]: "settings-tab",
    [CssFile.GUI_MENUITEM]: "gui-menuitem",
    [CssFile.GUI_CONTEXTMENU]: "gui-contextmenu",
    [CssFile.GUI_TABWIDGET]: "gui-tabwidget",
    [CssFile.GUI_STACKEDWIDGET]: "gui-stackedwidget",
    [CssFile.GUI_SCROLLBAR]: "gui-scrollbar",
    [CssFile.KEY_BINDINGS_TAB]: "key-bindings-tab",
    [CssFile.GUI_COMMANDPALETTE]: "gui-commandpalette",
    [CssFile.GUI_POP_DOWN_DIALOG]: "gui-popdowndialog",
    [CssFile.GUI_POP_DOWN_LIST_PICKER]: "gui-popdownlistpicker",
    [CssFile.GUI_LIST_PICKER]: "gui-listpicker",
    [CssFile.TIP_VIEWER]: "tip-viewer",
    [CssFile.FONT_AWESOME]: "font-awesome",
    [CssFile.TERMINAL_VARS]: "terminal-vars",
    [CssFile.VIEWER_TAB]: "viewer-tab",
    [CssFile.GUI_SPLITTER]: "gui-splitter",
    [CssFile.EMPTY_PANE_MENU]: "empty-pane-menu",
    [CssFile.GUI_SNAP_DROP_CONTAINER]: "gui-snap-drop-container",
    [CssFile.THEME_VARS]: "theme-vars"
};
function cssFileNameBase(cssFile) {
    return _CssFileNameMapping[cssFile] || null;
}
exports.cssFileNameBase = cssFileNameBase;
exports.FALLBACK_TERMINAL_THEME = "default-terminal";
exports.FALLBACK_SYNTAX_THEME = "default-syntax";
exports.FALLBACK_UI_THEME = "default";
exports.TerminalCssFiles = [CssFile.TERMINAL_VARS, CssFile.TERMINAL_VIEWER];
exports.SyntaxCssFiles = [CssFile.TEXT_VIEWER];
exports.UiCssFiles = [
    CssFile.GUI_CONTROLS,
    CssFile.TOP_WINDOW,
    CssFile.MAIN_UI,
    CssFile.TERMINAL,
    CssFile.IMAGE_VIEWER,
    CssFile.EMBEDDED_FRAME,
    CssFile.ABOUT_TAB,
    CssFile.SETTINGS_TAB,
    CssFile.GUI_MENUITEM,
    CssFile.GUI_CONTEXTMENU,
    CssFile.GUI_TABWIDGET,
    CssFile.GUI_STACKEDWIDGET,
    CssFile.GUI_SCROLLBAR,
    CssFile.KEY_BINDINGS_TAB,
    CssFile.GUI_COMMANDPALETTE,
    CssFile.TIP_VIEWER,
    CssFile.FONT_AWESOME,
    CssFile.VIEWER_TAB,
    CssFile.GUI_POP_DOWN_DIALOG,
    CssFile.GUI_POP_DOWN_LIST_PICKER,
    CssFile.GUI_LIST_PICKER,
    CssFile.GUI_SPLITTER,
    CssFile.EMPTY_PANE_MENU,
    CssFile.GUI_SNAP_DROP_CONTAINER,
    CssFile.THEME_VARS
];
//# sourceMappingURL=Theme.js.map